Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. If you'd prefer to explore, try our test area to get started. And see here for current known issues.

New Member

Unable to install SIP version 4.x on a 7960G.

Hi there,

I have been successful in 'flashing' a 7960 to SIP version 3.x. However I cannot get it to work for a version 4 release of SIP. The phone reads the 79xx.txt file, and then starts to TFTP the version 4.3 binary. Howeever about 75% of the way thorugh the upload the tftp session ends, and about 10 seconds later my tftp server prompts me to allow the phone to upload the file again. This will cycle over and over unless I abort it.

I've notice two difference in the version 3 and verion 4 binaries: how the files are named: POS30340 (no dashes) and POS3-04-03 (dashes), and plus the obivious difference of one being a version 3.x release and the other being a version 4.x release.

I have tried this on a 7960, and and 7960G and the same results. I can upload version 3.x no problem, but 4.x just goes no where.

Anyone know what is going on here and how do I get this to work?

Vaughn

1 ACCEPTED SOLUTION

Accepted Solutions
Silver

Re: Unable to install SIP version 4.x on a 7960G.

There was a change in the naming conventions of the images, the only problem was the earlier code does not understand the new names with the '-' characters. As a result the upgrade fails.

What you need to do is to do a interim load using the POS30203 image, then load the later images. This release of code uses the 'older' format for the filenames, but can understand the new format with the dashes.

You may also need to change the image name in the SIPdefault.cnf file as this has a reference to the software image name as well.

2 REPLIES
Silver

Re: Unable to install SIP version 4.x on a 7960G.

There was a change in the naming conventions of the images, the only problem was the earlier code does not understand the new names with the '-' characters. As a result the upgrade fails.

What you need to do is to do a interim load using the POS30203 image, then load the later images. This release of code uses the 'older' format for the filenames, but can understand the new format with the dashes.

You may also need to change the image name in the SIPdefault.cnf file as this has a reference to the software image name as well.

New Member

Re: Unable to install SIP version 4.x on a 7960G.

Thanks!! It worked!!

Vaughn

88
Views
0
Helpful
2
Replies